#include <stdlib.h>
#include <stdio.h>

int main(int argc, char* argv[]) {
    if (argc != 3) {
        printf("Add two numbers v1.0 (DEMO EDITION)\n");
        printf("  Syntax: %s <num1> <num2>\n",argv[0]);
        printf("\n");
        printf("  This amazing tool adds ANY two numbers!\n");
        printf("  Note: To add multi-digit numbers, you must buy the full version.\n");
        return 1;
    }
    int n1 = atoi(argv[1]);
    int n2 = atoi(argv[2]);
    if (n1 >= 10 || n2 >= 10) {
        printf("ERROR: Adding multi-digit numbers is only supported in the full version! PAY ME!\n");
        return 1;
    }
    printf(" %d + %d = %d\n",n1,n2,n1+n2);
}
